diff --git a/Simulation/ISF/ISF_Validation/test/test_MC16_G4FastCalo_ttbar.sh b/Simulation/ISF/ISF_Validation/test/test_MC16_G4FastCalo_ttbar.sh
new file mode 100755
index 0000000000000000000000000000000000000000..7a1d99faab235dd09e3dbde0bc2c7a7fd05b0f7a
--- /dev/null
+++ b/Simulation/ISF/ISF_Validation/test/test_MC16_G4FastCalo_ttbar.sh
@@ -0,0 +1,40 @@
+#!/bin/sh
+#
+# art-description: MC16-style simulation using G4FastCalo
+# art-include: 21.0/Athena
+# art-include: 21.3/Athena
+# art-include: 21.9/Athena
+# art-include: master/Athena
+# art-type: grid
+# art-output: test.HITS.pool.root
+# art-output: truth.root
+
+# MC16 setup
+# ATLAS-R2-2016-01-00-01 and OFLCOND-MC16-SDR-14
+Sim_tf.py \
+--conditionsTag 'default:OFLCOND-MC16-SDR-14' \
+--physicsList 'FTFP_BERT_ATL' \
+--truthStrategy 'MC15aPlus' \
+--simulator 'G4FastCalo' \
+--postInclude 'default:PyJobTransforms/UseFrontier.py' \
+--preInclude 'EVNTtoHITS:SimulationJobOptions/preInclude.BeamPipeKill.py,SimulationJobOptions/preInclude.FrozenShowersFCalOnly.py' \
+--preExec 'EVNTtoHITS:simFlags.TightMuonStepping=True' 'from ISF_FastCaloSimServices.ISF_FastCaloSimJobProperties import ISF_FastCaloSimFlags;ISF_FastCaloSimFlags.ParamsInputFilename="/cvmfs/atlas.cern.ch/repo/sw/database/GroupData/FastCaloSim/MC16/TFCSparam_v012.root"'\
+--DataRunNumber '284500' \
+--geometryVersion 'default:ATLAS-R2-2016-01-00-01' \
+--inputEVNTFile "/cvmfs/atlas-nightlies.cern.ch/repo/data/data-art/SimCoreTests/valid1.410000.PowhegPythiaEvtGen_P2012_ttbar_hdamp172p5_nonallhad.evgen.EVNT.e4993.EVNT.08166201._000012.pool.root.1" \
+--outputHITSFile "test.HITS.pool.root" \
+--maxEvents 4 \
+--imf False
+
+rc=$?
+rc2=-9999
+echo  "art-result: $rc simulation"
+if [ $rc -eq 0 ]
+then
+    ArtPackage=$1
+    ArtJobName=$2
+    art.py compare grid --entries 4 ${ArtPackage} ${ArtJobName} --mode=semi-detailed
+    rc2=$?
+fi
+
+echo  "art-result: $rc2 regression"
diff --git a/Simulation/ISF/ISF_Validation/test/test_Sim_G4FastCalo_ttbar.sh b/Simulation/ISF/ISF_Validation/test/test_Sim_G4FastCalo_ttbar.sh
deleted file mode 100755
index e5564ce8b1baee09c9639be1051387f8b1fc8dba..0000000000000000000000000000000000000000
--- a/Simulation/ISF/ISF_Validation/test/test_Sim_G4FastCalo_ttbar.sh
+++ /dev/null
@@ -1,34 +0,0 @@
-#!/bin/sh
-#
-# art-description: Run simulation  using ISF with the G4FastCalo simulator, reading ttbar events, writing HITS, using 2015 geometry and conditions
-# art-include: 21.0/Athena
-# art-include: 21.3/Athena
-# art-include: 21.9/Athena
-# art-include: master/Athena
-# art-type: grid
-# art-output: test.HITS.pool.root
-# art-output: truth.root
-
-Sim_tf.py \
---conditionsTag 'default:OFLCOND-RUN12-SDR-19' \
---physicsList 'FTFP_BERT' \
---truthStrategy 'MC15aPlus' \
---simulator 'G4FastCalo' \
---postInclude 'default:PyJobTransforms/UseFrontier.py' 'EVNTtoHITS:G4AtlasTests/postInclude.DCubeTest.py' \
---preInclude 'EVNTtoHITS:SimulationJobOptions/preInclude.BeamPipeKill.py' \
---DataRunNumber '222525' \
---geometryVersion 'default:ATLAS-R2-2015-03-01-00' \
---inputEVNTFile "/cvmfs/atlas-nightlies.cern.ch/repo/data/data-art/ISF_Validation/mc12_valid.110401.PowhegPythia_P2012_ttbar_nonallhad.evgen.EVNT.e3099.01517252._000001.pool.root.1" \
---outputHITSFile "test.HITS.pool.root" \
---maxEvents 250 \
---imf False \
---preExec 'from ISF_FastCaloSimServices.ISF_FastCaloSimJobProperties import ISF_FastCaloSimFlags;ISF_FastCaloSimFlags.ParamsInputFilename="/cvmfs/atlas.cern.ch/repo/sw/database/GroupData/FastCaloSim/MC16/TFCSparam_v012.root"'
-
-echo  "art-result: $? simulation"
-
-ArtPackage=$1
-ArtJobName=$2
-# TODO This is a regression test I think. We would also need to compare these files to fixed references
-art.py compare grid --entries 10 ${ArtPackage} ${ArtJobName} --mode=semi-detailed
-
-echo  "art-result: $? regression"